Synopsis:
   list [<switch> [<arg>] [<switch> [<arg>] ...]] [<channel>]

Description:
   This query asks the server about all of the public channels that exist
   on the current network.  A summary of each channel, including the channel
   name, the number of users on the channel, and the channel's topic (if any)
   will be displayed, one per line.

   If you provide an exact channel name, then only information about that
   channel will be returned.  If you provide "*" as the channel name, then
   the current window's current channel will be used.  Otherwise the server
   will return the entire channel list.

   On large public networks with many thousands of channels, using this 
   command may be counterproductive.  Even the use of the filtering rules
   before are not helpful since the client has to ask for the entire list
   and filter out what you don't want to see.  It still all has to be sent
   to you.  In some severe situations you can be disconnected from the server
   if you are using a slow link.

   Only public channels will be shown.  Private or secret channels will not
   be shown in the result, unless you are actually a member of that channel
   at the time you use the LIST command.

Options:
   You can refine the output by asking for only channels with certain
   characteristics.  Except when you use the -i option on undernet servers,
   all of this filtering is done by the client and not the server.  This
   means EPIC still has to process the entire list even if you only want
   to see a couple of channels.
	-min <n>   shows channels with no less than n users
	-max <n>   shows channels with no more than n users
	-i	   Use undernet specific server-side filtering for above two

   These options are always done on the client side even with the -i option:
	-public    shows public channels only
	-private   shows private channels only
	-topic     shows channels with a topic set
	-all       overrides any previous -public or -private switch

   These options turn on "wide listing" which uses less vertical space:
	-wide      shows name and size using as little space as possible:
	-name      sort -wide list by channel name
	-users     sort -wide list by number of users per channel
                
Examples:
   To show channels with 3 to 15 users:
      /list -min 3 -max 15

   To show public channels with "help" in the name:
      /list -public #*help*

   To get a concise listing of channels with over 30 users, sorted by name:
      /list -min 30 -wide -name

   To see how Undernet's LIST works (and see below):
      /quote list help

See Also:
   on(5) list, widelist

